import typer

from texmemo.commands import export, extract, upload

app = typer.Typer()
app.command()(extract)
app.command()(export)
app.command()(upload)

if __name__ == '__main__':
    try:
        app()
    except Exception as e:
        print(f"Error: {e}")
